Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPrintInfomation.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPrintInfomation.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPrintInfomation.cs	(revision 83)
@@ -0,0 +1,335 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+using System.Collections;
+
+namespace ProcessManagement.Forms.SubForms
+{
+    public partial class FrmPrintInfomation : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        private enum Dispcount
+        {
+            ExeCuteDate = 0,
+            ProgressStatusA,
+            ProgressStatusB,
+            radioButtonA1,
+            radioButtonA2,
+            radioButtonB1,
+            radioButtonB2,
+            radioButtonC1,
+            radioButtonC2,
+        }
+
+        /// <summary>
+        /// 印刷範囲選択フラグ
+        /// </summary>
+        public enum PrintSelFlg
+        {
+            /// <summary>
+            /// 全印刷
+            /// </summary>
+            All = 0,
+            /// <summary>
+            /// 範囲印刷
+            /// </summary>
+            Range,
+        }
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 表示文字列
+        /// </summary>
+        private string m_DispString = string.Empty;
+
+        /// <summary>
+        /// 終了状態フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+
+        /// <summary>
+        /// 印刷範囲設定表示
+        /// </summary>
+        private bool m_DisplayRange = true;
+
+        /// <summary>
+        /// 印刷範囲
+        /// </summary>
+        private int m_PrintRange = 0;
+
+        /// <summary>
+        /// 印刷開始日
+        /// </summary>
+        private DateTime m_PrintStartDate = DateTime.MinValue;
+
+        /// <summary>
+        /// 印刷終了日
+        /// </summary>
+        private DateTime m_PrintCompDate = DateTime.MinValue;
+
+        /// <summary>
+        /// 実行処理番号
+        /// </summary>
+        private int m_ExecuteProcNo = 0;
+
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 表示文字列
+        /// </summary>
+        public string DispString
+        {
+            set { m_DispString = value; }
+        }
+
+        /// <summary>
+        /// 印刷範囲設定表示
+        /// </summary>
+        public bool DisplayRange
+        {
+            set { m_DisplayRange = value; }
+        }
+        
+        /// <summary>
+        /// 印刷範囲
+        /// </summary>
+        public int PrintRange
+        {
+            get { return m_PrintRange; }
+            set { m_PrintRange = value; }
+        }
+
+        /// <summary>
+        /// 印刷開始日
+        /// </summary>
+        public DateTime StartDate
+        {
+            get { return m_PrintStartDate; }
+            set { m_PrintStartDate = value; }
+        }
+
+        /// <summary>
+        /// 印刷終了日
+        /// </summary>
+        public DateTime CompDate
+        {
+            get { return m_PrintCompDate; }
+            set { m_PrintCompDate = value; }
+        }
+
+        /// <summary>
+        /// 実行処理番号
+        /// </summary>
+        public int ExecuteProcNo
+        {
+            get { return m_ExecuteProcNo; }
+            set { m_ExecuteProcNo = value; }
+        }
+        /// <summary>
+        /// 終了ボタン状態
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+        }
+        #endregion
+
+        #region ×ボタン
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmStatusAndDate_FormClosed(object sender, FormClosedEventArgs e)
+        {
+            if (m_EndButton == DialogResult.None) m_EndButton = DialogResult.Cancel;
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmPrintInfomation()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostStructureDiag_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+         
+            // 初期表示
+            label2.Text = m_DispString;
+            if (!m_DisplayRange) groupBox3.Visible = false;
+        }
+        #endregion
+
+        #region キャンセルボタン
+        /// <summary>
+        /// キャンセルボタン追加
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancel_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.Cancel;
+            this.Close();
+        }
+        #endregion
+
+        #region 印刷のみボタン
+        /// <summary>
+        /// 印刷のみボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnExecProc1_Click(object sender, EventArgs e)
+        {
+            // 日付チェック
+            if(!PrintDateCheck()) return;
+
+            m_EndButton = DialogResult.Yes;
+            // 指定データ取得
+            GetPrintRangeData();
+
+            this.Close();
+        }
+        #endregion
+
+        #region 保存のみボタン
+        /// <summary>
+        /// 保存のみボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnExecProc2_Click(object sender, EventArgs e)
+        {
+            // 日付チェック
+            if (!PrintDateCheck()) return;
+
+            m_EndButton = DialogResult.No;
+            // 指定データ取得
+            GetPrintRangeData();
+
+            this.Close();
+        }
+        #endregion
+
+        #region データ表示処理
+        /// <summary>
+        /// データ表示
+        /// </summary>
+        /// <returns></returns>
+        private bool DisplayData()
+        {
+            try
+            {
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+            }
+        }
+        #endregion
+
+        #region 印刷範囲変更
+        /// <summary>
+        /// 印刷範囲変更
+        /// </summary>
+        private void radioButton_CheckedChanged(object sender, EventArgs e)
+        {
+            dateTimePicker1.Value = DateTime.Now;
+            dateTimePicker2.Value = DateTime.Now;
+            if (radioButton1.Checked)
+            {
+                dateTimePicker1.Enabled = false;
+                dateTimePicker2.Enabled = false;
+            }
+            else
+            {
+                dateTimePicker1.Enabled = true;
+                dateTimePicker2.Enabled = true;
+            }
+        }
+        #endregion
+
+        #region 印刷範囲指定取得
+        /// <summary>
+        /// 印刷範囲指定取得
+        /// </summary>
+        private void GetPrintRangeData()
+        {
+            // 印刷範囲セット
+            if (radioButton1.Checked)
+            {
+                m_PrintRange = (int)PrintSelFlg.All;
+            }
+            else if (radioButton2.Checked)
+            {
+                m_PrintRange = (int)PrintSelFlg.Range;
+                m_PrintStartDate = dateTimePicker1.Value;
+                m_PrintCompDate = dateTimePicker2.Value;
+            }
+        }
+        #endregion
+
+        #region 日付関連チェック
+        /// <summary>
+        /// 日付関連チェック
+        /// </summary>
+        /// <returns></returns>
+        private bool PrintDateCheck()
+        {
+            try
+            {
+                if (radioButton1.Checked) return true;
+
+                if (dateTimePicker1.Value > dateTimePicker2.Value)
+                {
+                    MessageBox.Show("終了日付が開始日付より以前になっています。", "日付エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 83)
@@ -260,13 +260,23 @@
                 switch (m_OperationProcess)
                 {
                     case (int)ClsExcute.ProcessExecuteNo.EstimateInput:
-                        strSQL += " AND EXISTS (SELECT * FROM ESTIMATEDATA EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                    case (int)ClsExcute.ProcessExecuteNo.EstimateBudget:
+                        strSQL += " AND (EXISTS (SELECT * FROM ESTIMATEDATA EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                        strSQL += string.Format(" OR (A.CONSTRUCTIONSTATUSFLG < {0}))",
+                                                CommonDefine.ProjectsStatus.First(x => x.Value.Equals("見積提出")).Key);
                         break;
                     case (int)ClsExcute.ProcessExecuteNo.ConstructionBudget:
-                        strSQL += " AND EXISTS (SELECT * FROM CONSTRUCTIONBUDGET EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                        strSQL += " AND (EXISTS (SELECT * FROM CONSTRUCTIONBUDGET EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                        
+                        strSQL += string.Format(" OR ((A.TYINGFLG != {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
+                        strSQL += string.Format(" AND {0} <= A.CONSTRUCTIONSTATUSFLG", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("仮 受 注")).Key);
+                        strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG < {0})", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工開始")).Key);
+
+                        strSQL += string.Format(" OR (A.TYINGFLG = {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
+                        strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG < {0})))", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key);
                         break;
                     case (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList:
-                        strSQL += " AND EXISTS (SELECT * FROM ESTIMATEDATA EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
+                        //strSQL += " AND EXISTS (SELECT * FROM ESTIMATEDATA EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
                         break;
                     case (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry:
                         strSQL += " AND EXISTS (SELECT * FROM CONSTRUCTIONLEDGERDETAIL EXDB";
